local mod = ...


mod:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_BFR_T1",
    VillageName = "Newcastle",
    UnlockCost = {
        { Resource = "PLANK", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 0.5,
    BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "BERRIES", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } }, 
		{ ResourceMaxAmount = { Resource = "BV1_EGG", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } }, 
		{ ResourceMaxAmount = { Resource = "STONE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } }, 
		{ ResourceMaxAmount = { Resource = "WOOD", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "VEGETABLE_RESOURCE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 3 } }, 
		{ ResourceMaxAmount = { Resource = "CHICKEN_RESOURCE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "TOOL", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 } }, 
	},
    SellingResourceList={
		{ ResourceMaxAmount = { Resource = "BERRIES", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "BV1_EGG", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "STONE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "WOOD", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "VEGETABLE_RESOURCE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "POLISHED_STONE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } }, 
		{ ResourceMaxAmount = { Resource = "CHICKEN_RESOURCE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "TOOL", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 30 } },    
	},
    Allegeance = "KINGDOM"
})



mod:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_BFR_T2",
    VillageName = "Roundwood",
    UnlockCost = {
        { Resource = "CLOTHES", Quantity = 30 }
    },
	ResourceTradingReplenishDelay = 0.55,
    BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "FLOUR", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } }, 
		{ ResourceMaxAmount = { Resource = "WHEAT", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "WOOL", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "PLANK", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 3 } }, 
		{ ResourceMaxAmount = { Resource = "BREAD", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "FISH", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
		{ ResourceMaxAmount = { Resource = "FURNITURE_RESOURCE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
	},
    SellingResourceList={
		{ ResourceMaxAmount = { Resource = "FLOUR", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "WHEAT", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "WOOL", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "PLANK", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } }, 
		{ ResourceMaxAmount = { Resource = "BREAD", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "FISH", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "CLOTHES", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 } }, 
		{ ResourceMaxAmount = { Resource = "FURNITURE_RESOURCE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 } }, 
	},
    Allegeance = "LABOUR"
})



mod:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_BFR_T3",
    VillageName = "Glendalough",
    UnlockCost = {
        { Resource = "BREAD", Quantity = 40 }
    },
	ResourceTradingReplenishDelay = 0.60,
    BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "MILK", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "CANDLE_RESOURCE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "HOP", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "WOOLEN_CLOTH", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "HONEY", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } }, 
		{ ResourceMaxAmount = { Resource = "BV1_MEAT", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "GLASS", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } }, 
		{ ResourceMaxAmount = { Resource = "BOAR", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
	},
    SellingResourceList={
		{ ResourceMaxAmount = { Resource = "MILK", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "CANDLE_RESOURCE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "HOP", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "WOOLEN_CLOTH", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "HONEY", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
		{ ResourceMaxAmount = { Resource = "BV1_MEAT", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 16 } }, 
		{ ResourceMaxAmount = { Resource = "GLASS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 } }, 
		{ ResourceMaxAmount = { Resource = "BOAR", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 } }, 
	},
    Allegeance = "CLERGY"
})



mod:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_BFR_T4",
    VillageName = "Wicklow",
    UnlockCost = {
        { Resource = "BOAR", Quantity = 50 }
    },
	ResourceTradingReplenishDelay = 0.65,
    BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "COAL", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "HERBS", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "LEATHER", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "SPEAR", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 5 } }, 
		{ ResourceMaxAmount = { Resource = "BEER", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } }, 
		{ ResourceMaxAmount = { Resource = "CHEESE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } }, 
		{ ResourceMaxAmount = { Resource = "WINE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
		{ ResourceMaxAmount = { Resource = "STAINED_GLASS", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 } }, 
	},
    SellingResourceList={
		{ ResourceMaxAmount = { Resource = "COAL", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "HERBS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "LEATHER", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "SPEAR", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } }, 
		{ ResourceMaxAmount = { Resource = "BEER", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
		{ ResourceMaxAmount = { Resource = "CHEESE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
		{ ResourceMaxAmount = { Resource = "WINE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 20 } }, 
		{ ResourceMaxAmount = { Resource = "STAINED_GLASS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 30 } }, 
	},
    Allegeance = "KINGDOM"
})



mod:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_BFR_T5",
    VillageName = "Wexford",
    UnlockCost = {
        { Resource = "BEER", Quantity = 60 }
    },
	ResourceTradingReplenishDelay = 0.70,
    BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "GRAPES", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "PV3_PASTRY", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } }, 
		{ ResourceMaxAmount = { Resource = "GOLD_ORE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } }, 
		{ ResourceMaxAmount = { Resource = "QUARTZ", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 50 } }, 
	},
    SellingResourceList={
		{ ResourceMaxAmount = { Resource = "GRAPES", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "PV3_PASTRY", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
		{ ResourceMaxAmount = { Resource = "GOLD_ORE", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 50 } }, 
		{ ResourceMaxAmount = { Resource = "QUARTZ", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 100 } }, 
	},
    Allegeance = "CLERGY"
})



mod:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_BFR_T6",
    VillageName = "Kilkenny",
    UnlockCost = {
        { Resource = "WINE", Quantity = 70 }
    },
	ResourceTradingReplenishDelay = 0.75,
    BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "SWORD", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } }, 
		{ ResourceMaxAmount = { Resource = "GEMS", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 100 } }, 
		{ ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 100 } }, 
		{ ResourceMaxAmount = { Resource = "GOLD_BARS", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 100 } }, 
	},
    SellingResourceList={
		{ ResourceMaxAmount = { Resource = "SWORD", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 50 } }, 
		{ ResourceMaxAmount = { Resource = "GEMS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 200 } }, 
		{ ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 200 } }, 
		{ ResourceMaxAmount = { Resource = "GOLD_BARS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 200 } }, 
	},
    Allegeance = "LABOUR"
})




-- Override Villages -------------------------------------------------------------------------------------------------------------
mod:override({
    Id = "VILLAGE_LIST_DEFAULT",
    TradingVillageList = {
		"VILLAGE_BFR_T1",
		"VILLAGE_BFR_T2",
		"VILLAGE_BFR_T3",
		"VILLAGE_BFR_T4",
		"VILLAGE_BFR_T5",
		"VILLAGE_BFR_T6",
    }
})